Summary: Manager for passwords stored in gnome-keyring
Name: gnome-keyring-manager
Version: 2.20.0
Release: 2%{?dist}
License: GPLv2+
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source: http://download.gnome.org/sources/gnome-keyring-manager/2.20/gnome-keyring-manager-%{version}.tar.bz2
Patch0: gnome-keyring-manager-2.18.0-categories.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: gnome-keyring-devel
BuildRequires: libgnomeui-devel
BuildRequires: pkgconfig
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: perl(XML::Parser)
BuildRequires: gettext
BuildRequires: scrollkeeper
BuildRequires: desktop-file-utils

Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(pre): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
Requires(post): GConf2 >= 2.14

%description
gnome-keyring-manager is an application that lets you manage the
passwords and other secrets you have saved in your keyring.


%prep
%setup -q -n gnome-keyring-manager-%{version}

%build

%configure --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor="gnome" \
  --delete-original \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category System \
  --remove-category Utility \
  --add-category X-GNOME-SystemSettings \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-keyring-manager.desktop
 
%find_lang gnome-keyring-manager --with-gnome

%clean
rm -fr %{buildroot}

%post
scrollkeeper-update -q || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q || :

%files -f gnome-keyring-manager.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/applications/gnome-keyring-manager.desktop
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/gnome-keyring-manager
%{_datadir}/omf/gnome-keyring-manager
%{_mandir}/man1/*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.20.0-2
- Autorebuild for GCC 4.3

* Tue Sep 18 2007 Matthias Clasen <mclasen@redhat.com> 2.20.0-1
- Update to 2.20.0

* Fri Sep 14 2007 Matthias Clasen <mclasen@redhat.com> 2.19.92-1
- Update to 2.19.92

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.18.0-5
- Rebuild for selinux ppc32 issue.

* Tue Aug  7 2007 Matthias Clasen <mclasen@redhat.com> 2.18.0-4
- Update license field
- Use %%find_lang for help files

* Wed Jun 27 2007 Matthias Clasen <mclasen@redhat.com> 2.18.0-3
- Try again to clean up categories

* Wed Jun 27 2007 Matthias Clasen <mclasen@redhat.com> 2.18.0-2
- Clean up categories in desktop file

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.0-1
- Update to 2.18.0
- Use desktop-file-install

* Thu Feb  8 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.0-2
- Package review cleanup

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.0-1
- Update to 2.17.0

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-3
- Fix scripts according to packaging guidelines

* Wed Sep 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-2
- Fix copy-and-paste error in %%preun (#208245)

* Tue Sep  5 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92
- Drop upstreamed patch
- Add a %%preun script

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.14.0-2.1.1
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.14.0-2.1
- rebuild

* Mon May 29 2006 Alexander Larsson <alexl@redhat.com> - 2.14.0-2
- buildrequire gettext and perl-XML-Parser
- Fixed summary (#151022)

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.12.0-3
- BuildRequires: gnome-doc-utils

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.0-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.0-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  2 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-2
- Avoid the error dialog if there is no default keyring.

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 David Zeuthen <davidz@redhat.com>
- Rebuilt

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> 2.11.1-1
- New upstream version

* Mon Mar 21 2005 David Zeuthen <davidz@redhat.com> 0.0.4-3
- Fix Group tag for consistency (#147903)

* Wed Mar  2 2005 Alex Larsson <alexl@redhat.com> 0.0.4-2
- Rebuild

* Tue Feb  1 2005 Matthias Clasen <mclasen@redhat.com> - 0.0.4-1
- Update to 0.0.4

* Mon Aug 16 2004 Alexander Larsson <alexl@redhat.com> - 0.0.3-1
- First version
